cURL
curl --request GET \
--url https://api.teamfollowup.ai/api/agent-builder/agents/{id}/phone-numbers \
--header 'Authorization: Bearer YOUR_API_KEY'import requests
url = "https://api.teamfollowup.ai/api/agent-builder/agents/{id}/phone-numbers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.teamfollowup.ai/api/agent-builder/agents/{id}/phone-numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"phoneNumbers": [
{
"phoneNumber": "+14155551234",
"pretty": "+1 (415) 555-1234",
"nickname": "Lead follow-up",
"boundToAgent": true
}
]
}{
"success": false,
"error": "VALIDATION",
"message": "A campaignId is required."
}{
"success": false,
"error": "Unauthorized",
"message": "Authentication required."
}{
"success": false,
"error": "Forbidden",
"message": "You do not have access to phone number endpoints."
}{
"success": false,
"error": "NotFound",
"message": "Campaign \"campaign_missing\" not found or not accessible."
}{
"success": false,
"error": "TooManyRequests",
"message": "Too many requests, please try again later."
}{
"success": false,
"error": "InternalError",
"message": "Unexpected server error."
}List agent phone numbers
List agency-owned caller IDs available to an agent context. Allowed customer role: agency_admin.
Required API key scope: phone_numbers:read.
GET
/
api
/
agent-builder
/
agents
/
{id}
/
phone-numbers
cURL
Authorizations
Send your API key as Authorization: Bearer YOUR_API_KEY.
Path Parameters
Agent id returned by the Agents API.
Minimum string length:
1Query Parameters
Project location id used to disambiguate an agent shared across multiple projects.
Minimum string length:
1Campaign id used to scope the operation to one campaign.
Minimum string length:
1⌘I
